/* Page specific styles */
@import "/assets/css/general/COLORS.css"; /* general colors */
@import "/assets/css/webpages/home.css"; /* home page */
@import "/assets/css/webpages/about-us.css"; /* about us */
@import "/assets/css/webpages/news.css"; /* news */
@import "/assets/css/webpages/contact.css"; /* contact us */
@import "/assets/css/webpages/services.css"; /* services */

/* General styles */

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    font-family: 'Open Sans', Arial, Helvetica, sans-serif;
    -webkit-text-size-adjust: 100%;
    text-size-adjust: 100%;
    color: var(--primary-text-color);
}


/* General element styles */

a{
    text-decoration: none;
}

body{
    margin: 0;
    background-color: var(--header-footer-color);
    min-width: 300px;
}

h1, h2, h3{
    font-family: Inter, Arial, Helvetica, sans-serif;
}

header, footer{
    width: 100%;
    height: auto;
    background-color: var(--header-footer-color);
    padding: min(2em, 10%);
    margin: 0px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: left;
    z-index: 100;
}

/* Classes */

/* Off screen menu */
.off-screen-menu-img {
    width: 100%;
    max-width: 50px;
    height: auto;
    display: none; 
}

.close-off-screen-menu{
    width: auto;
    max-width: 50px;
    margin-left: auto;
}

.off-screen-menu{
    background-color: var(--header-footer-color);
    height: 100%;
    width: 100%;
    max-width: 450px;
    position: fixed;
    top: 0;
    right: -450px;
    display: flex;
    flex-direction: column;
    justify-content: top;
    align-items: left;
    text-align: center;
    font-size: clamp(2em, 3vw, 3em);
    padding: min(2rem, 5%);
    transition: 0.3s ease;
    z-index: 1000;
}

.off-screen-menu.active{
    right: 0;
}

.menu-title{
    text-align: left;
    color: var(--text-color);
    width: 100%;
    height: auto;
}

.off-screen-menu ul li {
    text-align: left;
    width: 100%;
    height: auto;
    text-decoration: underline;
    list-style: none;
    margin-bottom: min(1rem, 2.5%);
    margin-top: min(1rem, 2.5%);
    cursor: pointer;
}

.off-screen-menu ul li a {
 color: var(--secondary-color);
 font-weight: 600;
}

.off-screen-menu ul li a:hover {
 font-weight: bold;
}

.off-screen-menu-logo-container{
    width: 100%;
    height: auto;

}

.off-screen-menu-logo{
    width: 100%;
    height: auto;

}

/* Nav list */
/* Logo: for the header & footer */
.logo{
    width: auto;
    height: 8rem;
    margin-right: 1rem;
}

/* The Nav List */
.nav-list{
    margin: 1em 1em 1em auto;
    height: 100%;
    width: auto;
    display: flex;
}

.nav-list-ul{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    height: 100%;
    width: auto;
}

.nav-list-ul li{
    color: var(--primary-text-color);
    padding: 1em 1em;
    margin-left: min(1em, 2%);
    cursor: pointer;
    border-radius: 5px;
    text-decoration: none;
    list-style: none; 
    font-size: clamp(0.25rem, 2vw + 0.5rem, 1.5rem);
    width: 100%;
    height: 100%;
}

.nav-list-ul li:hover{
      outline: 2px solid var(--pure-black);
}

.nav-list-ul li a{
      font-weight: 600;
    color: var(--primary-text-color);
}

.footer-copyright{
    font-size: clamp(0.5em, 1vw + 0.25rem, 1.5em);
    color: var(--primary-text-color);
}

.active{
    font-style: italic;
    outline: 2px solid var(--pure-black);
}

/* Skip link */
.skip-link{
    position: absolute;
    top: -100%;
    left: 0;
    background: #000;
    color: #fff;
    padding: 1em;
    z-index: 1000;
}

.skip-link:focus{
    top: 0;
}

.container{
    display: flex;
    justify-content: flex-start;
}

.centered{
    justify-content: center;
    align-items: center;
}

.column{
    flex-direction: column;
}

.divider{
    width: 95%;
    margin-left: auto;
    margin-right: auto;
}

.header-blue{
    font-size: clamp(0.5rem, 2vw + 1rem, 5rem);
    color: var(--secondary-color);
    margin-bottom: min(1rem, 2.5%);
}

.small-header-blue{
        font-size: clamp(0.25rem, 1vw + 1rem, 3rem);
    color: var(--secondary-color);
    margin-bottom: min(1rem, 2.5%);
}

.text-container{
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
}

.indentationLeft{
    margin-left: min(3em, 2%);
}

.indentationRight{
    margin-right: min(3em, 2%);
}

.overlay{
    position: relative;
    color: #000;
    z-index: 1;
    opacity: .75;
}

.overlay-white{
    position: relative;
    width: 100%;
    max-width: 100%;
    height: auto;
    background-color: #fff;
    z-index: 1;
    opacity: 0;
    max-width: 100%;
}

.grid-container{
    width: 100%;
    height: 100%;
    display: grid;
}

.grid-container a{
    color: var(--primary-text-color);
    transform-origin: center; 
    z-index: 10;
    transition: scale 0.25s; 
}

.grid-container a:hover{
   scale: 1.05;  
}

.grid-item img{
      border-radius: 10px;
      margin-bottom: 0.5em;
      border: 1px solid var(--text-color);
      width: 100%;
      height: auto;
}

.grid-item h3{
   text-align: center;
   color: var(--secondary-color);
}

.cta-button{
    display: inline-block;
    text-decoration: none;
    border-radius: 10px;
    cursor: pointer;
    text-decoration: none;
}

.cta-button a{
     font-family: inherit;
     text-shadow: 2px 2px 2px #000;
}

/* Media styles for footer and header */
@media only screen and (max-width: 1050px){
    footer{
        align-content: center;
        justify-content: center;
    }
    #footer-nav-list{
         align-content: center;
        justify-content: center;
        width: 100%;
    }

    #footer-nav-list ul{
         flex-wrap: wrap;
    }
}

@media only screen and (max-width: 890px){
    .off-screen-menu-img {
        display: block;
        margin-left: auto;
    }
   
    #header-nav-list{
        display: none;
    }
}